Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.clfs.meta.MeanPrediction

class `mvpa2.clfs.meta.``MeanPrediction`(descr=None, **kwargs)

  Provides a decision by taking mean of the results

  Notes

  Available conditional attributes:

  - `estimates+`: Predictions from all classifiers are stored
  - `predictions+`: Mean predictions

  (Conditional attributes enabled by default suffixed with `+`)

  Methods

  `reset`() |
  `train`(clfs, dataset) | PredictionsCombiner might need to be trained :Parameters: clfs : list of Classifier List of classifiers to combine.

  Initialize ClassWithCollections object

  Parameters:

  descr : str

  > Description of the instance

  Methods

  `reset`() |
  `train`(clfs, dataset) | PredictionsCombiner might need to be trained :Parameters: clfs : list of Classifier List of classifiers to combine.

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »